# types.h File Reference

`#include "config.h"`
`#include <stdint.h>`

Include dependency graph for types.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | LW_LE(x) (x)
#define | LW_BE(x) (lw_be((x)))
#define | LH_LE(x) (x)
#define | LH_BE(x) (lh_be((x)))
#define | LW(x) (LW_LE(x))
#define | LH(x) (LH_LE(x))
#define | SW_LE(x, v) (*(x) = (v))
#define | SW_BE(x, v) (sw_be((x), (v)))
#define | SH_LE(x, v) (*(x) = (v))
#define | SH_BE(x, v) (sh_be((x), (v)))
#define | SW(x, v) (SW_LE(x, v))
#define | SH(x, v) (SH_LE(x, v))

## Typedefs

typedef uint8_t | u8
typedef uint16_t | u16
typedef uint32_t | u32
typedef uint64_t | u64
typedef int8_t | s8
typedef int16_t | s16
typedef int32_t | s32
typedef int64_t | s64

## Functions

u32 | lw_be (u32 data)
u16 | lh_be (u16 data)
void | sw_be (u32 *data, u32 val)
void | sh_be (u16 *data, u16 val)

## Define Documentation

#define LH | ( | x |  | ) | (LH_LE(x))

#define LH_BE | ( | x |  | ) | (lh_be((x)))

#define LH_LE | ( | x |  | ) | (x)

#define LW | ( | x |  | ) | (LW_LE(x))

#define LW_BE | ( | x |  | ) | (lw_be((x)))

#define LW_LE | ( | x |  | ) | (x)

#define SH | ( | x,
|  | v |  | ) | (SH_LE(x, v))

#define SH_BE | ( | x,
|  | v |  | ) | (sh_be((x), (v)))

#define SH_LE | ( | x,
|  | v |  | ) | (*(x) = (v))

#define SW | ( | x,
|  | v |  | ) | (SW_LE(x, v))

#define SW_BE | ( | x,
|  | v |  | ) | (sw_be((x), (v)))

#define SW_LE | ( | x,
|  | v |  | ) | (*(x) = (v))

## Typedef Documentation

typedef int16_t s16

typedef int32_t s32

typedef int64_t s64

typedef int8_t s8

typedef uint16_t u16

typedef uint32_t u32

typedef uint64_t u64

typedef uint8_t u8

## Function Documentation

u16 lh_be | ( | u16 | data | ) | `[inline]`

u32 lw_be | ( | u32 | data | ) | `[inline]`

void sh_be | ( | u16 * | data,
|  | u16 | val
| ) | `[inline]`

void sw_be | ( | u32 * | data,
|  | u32 | val
| ) | `[inline]`